package com.qs.mp.common.enums;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.IEnum;

/**
 * @auther zhongcp
 * @create 2022 2022/3/7 2:30 下午
 * @describe
 */
public enum CouponTypeEnum implements IEnum<Integer> {

  TICKET_ORDER(1, "用户盲票购买优惠券"),
  SITE_CONSUME(2, "用户门店消费优惠券"),
  CHANNEL(3, "经销商盲票采购优惠券");


  private final int value;
  private final String desc;

  CouponTypeEnum(int value, String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public Integer getValue() {
    return value;
  }


  @Override
  public String toString() {
    JSONObject object = new JSONObject();
    object.put("value", value);
    object.put("desc", desc);
    return object.toString();
  }
}
