package com.qs.mp.admin.domain.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * @describe 盲票盒奖项对应的奖品
 * @auther quanshu
 * @create 2022-03-02 12:25:55
 */
@Data
public class TicketAwardsPrizeVO {

  /**
   * 奖项ID
   */
  private String awardsId;

  /**
   * 盲票组ID
   */
  private String boxId;

  /**
   * 奖项名
   */
  private String name;

  /**
   * 奖项顺序
   */
  private String sort;

  /**
   * 奖项数量
   */
  private Integer quantity;

  /**
   * 奖项描述
   */
  private String memo;

  /**
   * 中奖率
   */
  private BigDecimal hitRate;

  /******** 奖品 ********/
  /**
   * 奖品ID
   */
  private String prizeId;

  /**
   * 奖品ID（GOODS_ID或COUPON_ID)
   */
  private String refId;

  /**
   * 奖品图片
   */
  private String picUrl;

  /**
   * 奖品名称
   */
  private String title;

  /**
   * 奖品类型 1 实物商品 2优惠券 3平台代币
   */
  private String prizeType;

  /**
   * 奖品价值
   */
  private Integer value;


}
