package com.qs.mp.admin.domain.vo;

import java.util.List;
import lombok.Data;

/**
 * @author zhongcp
 * @Date 2022/3/7
 */
@Data
public class TicketListVO {

  /**
   * 订单明细ID
   */
  private String itemId;

  /**
   * 盲票ID
   */
  private String ticketId;

  /**
   * 盲票组ID
   */
  private String boxId;

  /**
   * 标题
   */
  private String title;

  /**
   * 图片
   */
  private String picUrl;

  /**
   * 序列号
   */
  private String serialNo;

  /**
   * 面值
   */
  private Integer facePrice;

  /**
   * 明文幸运数字
   */
  private Integer plainLuckyNum;

  /**
   * 盲票状态（初始、已激活、已兑奖）
   */
  private String status;

}
