package com.qs.mp.channel.service;

import com.qs.mp.channel.domain.ChannelAddr;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 渠道配送地址 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
public interface IChannelAddrService extends IService<ChannelAddr> {
  ChannelAddr getDefaultChannelAddr(Long channelId);

  boolean updateDefaultChannelAddr(Long addrId, Long channelId);

  boolean removeChannelAddrByUserId(Long addrId, Long channelId);

  ChannelAddr getChannelAddrByUserId(Long addrId, Long channelId);
}
