package com.qs.mp.channel.service.impl;

import com.qs.mp.channel.domain.ChannelCommission;
import com.qs.mp.channel.mapper.ChannelCommissionMapper;
import com.qs.mp.channel.service.IChannelCommissionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 渠道佣金记录 服务实现类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
@Service
public class ChannelCommissionServiceImpl extends ServiceImpl<ChannelCommissionMapper, ChannelCommission> implements IChannelCommissionService {

	@Override
	public int getChannelCommAmtCnt(String channelNo, int days) {
		return getBaseMapper().getChannelCommAmtCnt(channelNo, days == 1?0: (~(days - 1)));
	}

	@Override
	public int getChannelSaleAmtCnt(String channelNo, int days) {
		return getBaseMapper().getChannelSaleAmtCnt(channelNo, days == 1?0: (~(days - 1)));
	}
}
