package com.qs.mp.common.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

/**
 * @describe 实体类
 * @auther quanshu
 * @create 2022-03-02 11:23:04
 */
@TableName("mp_area")
@Data
public class Area implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(value = "area_id", type = IdType.AUTO)
    private Long areaId;

    @TableField("area_name")
    private String areaName;

    @TableField("parent_id")
    private Long parentId;

    @TableField("level")
    private Integer level;


}