package com.qs.mp.framework.redis;

/**
 * redis Key管理模版
 * 
 * @author duota
 *
 */
public enum RedisKey {
    
    App_Secret_Key("app_secret:{appId}", new String[] { "appId"}),
    User_Token_Key("user_token:{token}", new String[] { "token"});

    public String keyTemplate;
    public String[] keyNames;

    RedisKey(String keyTemplate, String[] keyNames) {
        this.keyTemplate = keyTemplate;
        this.keyNames = keyNames;
    }
}
