package com.qs.mp.admin.service;

import com.qs.mp.admin.domain.Coupon;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.admin.domain.Ticket;

/**
 * <p>
 * 优惠券 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-07
 */
public interface ICouponService extends IService<Coupon> {

  /**
   * 发放
   * @param ticket
   * @param userId
   * @param couponId
   */
  void distribute(Ticket ticket, Long userId, String couponId);
}
