package com.qs.mp.channel.service;

import com.qs.mp.channel.domain.ChannelCommission;

import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 渠道佣金记录 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
public interface IChannelCommissionService extends IService<ChannelCommission> {

	/**
	 * 查询子渠道一定时间范围内的佣金金额 -
	 * @param channelNo
	 * @param days
	 * @return
	 */
	public int getChannelCommAmtCnt(String channelNo, int days);
	
	
	/**
	 * 查询子渠道一定时间范围内的销售金额
	 * @param channelNo
	 * @param days
	 * @return
	 */
	public int getChannelSaleAmtCnt(String channelNo, int days);
	
}
