package com.qs.mp.user.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 优惠券核销记录实体类
 * @auther quanshu
 * @create 2022-03-07 20:45:43
 */
@TableName("mp_user_coupon_verify_log")
@Data
public class UserCouponVerifyLog implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "id", type = IdType.AUTO)
  private Long id;

  /**
   * 用户优惠券ID
   */
  @TableField("user_coupon_id")
  private Long userCouponId;

  /**
   * 优惠券ID
   */
  @TableField("coupon_id")
  private String couponId;

  /**
   * 核销时间
   */
  @TableField("verify_time")
  private Date verifyTime;

  /**
   * 核销用户
   */
  @TableField("verify_user")
  private String verifyUser;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
