package com.qs.mp.user.service;

import com.qs.mp.user.domain.UserTicketOrderItem;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 用户盲票订单明细 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-07
 */
public interface IUserTicketOrderItemService extends IService<UserTicketOrderItem> {

  /**
   * 查询购票订单明细
   * @param userId
   * @param ticketId
   * @return
   */
  UserTicketOrderItem queryFinishedOrderItem(Long userId, String ticketId);
}
